Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045917
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2021-02-18 10:262021-02-25 06:51
ReporterucarrionView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR21Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045917: Italian Localization - Incorrect behaviour of the 'Continue' button on the Lottery popup in SCO

DescriptionThe lottery popup (specifics for Italy) has two action buttons: 'Continue' and 'Skip'. Since entering a lottery code is not mandatory required, the user uses the 'Skip' buton that allows him to go on with the transaction. On the other hand, the 'Continue' button is not available until some code is entered. If the button is pressed with a null value, a message is displayed in the right top of the screen.

In SCO tills, those two buttons are also displayed for the lottery code screen. The 'Skip' button has a correct behaviour as it is always enabled so the user can press it in case of need. The issue is around the 'Continue' button: this action button is also always enabled, but if pressed with a null value entered, no action is executed. In the background I guess the message is being triggered but for the user, that in this case is a customer, is not informed.
Steps To Reproduce-Login SCO till
-Add any item to the ticket
-Press finish and pay
-In the lottery screen, do not enter any value
-Press 'Continue' button
-Check that no action is executed

Additional info (DKT ITA): https://drive.google.com/file/d/1hZkCS0Qq_685iaI7njIKC57mLUAoM2fB/view [^]
Proposed SolutionI propose to disable this button until having a value entered on the code field.
TagsNo tags attached.
Attached Filesdiff file icon 45917_19Q3_DKT_sco.diff [^] (985 bytes) 2021-02-24 01:50 [Show Content]
diff file icon 45917_19Q3_DKT_scolottery.diff [^] (4,997 bytes) 2021-02-24 01:50 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0126237)
hgbot (developer)
2021-02-22 06:39

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout.lotterycode/-/merge_requests/3 [^]
(0126238)
hgbot (developer)
2021-02-22 06:39

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout/-/merge_requests/14 [^]
(0126245)
hgbot (developer)
2021-02-22 08:17

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout [^]
Changeset: 34ee973447f1f645c72f4986640d5988d2961a2f
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-02-19T19:13:20+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout/-/commit/34ee973447f1f645c72f4986640d5988d2961a2f [^]

Related to ISSUE-45917: Added Bubble event for SCO Keyboard Input Box when it is changed

---
M web/org.openbravo.retail.selfcheckout/source/components/baseKeyboardKeys.js
---
(0126246)
hgbot (developer)
2021-02-22 08:17

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout/-/merge_requests/14 [^]
(0126247)
hgbot (developer)
2021-02-22 08:17

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout.lotterycode [^]
Changeset: 8a282f9f6bfb7b20069a1c06272ece16f3c004e7
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-02-22T12:32:42+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout.lotterycode/-/commit/8a282f9f6bfb7b20069a1c06272ece16f3c004e7 [^]

Fixed ISSUE-45917: Adedd validation for LotteryCode Continue button

---
M web/org.openbravo.retail.selfcheckout.lotterycode/js/hookUtils/showgetlotterypanel.js
M web/org.openbravo.retail.selfcheckout.lotterycode/js/hooks/obscolc-prepaymenthook.js
M web/org.openbravo.retail.selfcheckout.lotterycode/js/panels/lotteryCodePanel.js
---
(0126248)
hgbot (developer)
2021-02-22 08:17

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.selfcheckout.lotterycode/-/merge_requests/3 [^]
(0126302)
ucarrion (developer)
2021-02-23 12:50

The button is never enabled now...
(0126313)
ucarrion (developer)
2021-02-24 08:44

The button keeps 'always disabled' for me...
(0126362)
marvintm (developer)
2021-02-25 06:51

Problems were related to the backport applied to the customer environment, not to the fix in master.

- Issue History
Date Modified Username Field Change
2021-02-18 10:26 ucarrion New Issue
2021-02-18 10:26 ucarrion Assigned To => psanjuan
2021-02-18 10:26 ucarrion Triggers an Emergency Pack => No
2021-02-18 10:36 marvintm Assigned To psanjuan => Retail
2021-02-18 10:37 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2021-02-19 06:53 ranjith_qualiantech_com Status new => scheduled
2021-02-22 06:39 hgbot Note Added: 0126237
2021-02-22 06:39 hgbot Note Added: 0126238
2021-02-22 08:17 hgbot Note Added: 0126245
2021-02-22 08:17 hgbot Note Added: 0126246
2021-02-22 08:17 hgbot Resolution open => fixed
2021-02-22 08:17 hgbot Status scheduled => closed
2021-02-22 08:17 hgbot Note Added: 0126247
2021-02-22 08:17 hgbot Note Added: 0126248
2021-02-23 12:50 ucarrion Note Added: 0126302
2021-02-23 12:50 ucarrion Status closed => new
2021-02-23 12:50 ucarrion Resolution fixed => open
2021-02-24 01:50 ranjith_qualiantech_com File Added: 45917_19Q3_DKT_sco.diff
2021-02-24 01:50 ranjith_qualiantech_com File Added: 45917_19Q3_DKT_scolottery.diff
2021-02-24 08:44 ucarrion Note Added: 0126313
2021-02-25 06:50 marvintm Status new => scheduled
2021-02-25 06:50 marvintm Status scheduled => resolved
2021-02-25 06:50 marvintm Fixed in Version => RR21Q2
2021-02-25 06:50 marvintm Resolution open => fixed
2021-02-25 06:51 marvintm Review Assigned To => marvintm
2021-02-25 06:51 marvintm Note Added: 0126362
2021-02-25 06:51 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker